[**@rxap/ngx-material-authentication v19.0.5-dev.0**](../README.md)

***

[@rxap/ngx-material-authentication](../globals.md) / ResetPasswordFormSubmitMethod

# Class: ResetPasswordFormSubmitMethod

Defined in: [reset-password/reset-password.form.ts:40](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/material/authentication/src/lib/reset-password/reset-password.form.ts#L40)

## Implements

- `FormSubmitMethod`\<`any`\>

## Constructors

### new ResetPasswordFormSubmitMethod()

> **new ResetPasswordFormSubmitMethod**(`route`, `setNewPasswordWithResetTokenMethod`, `snackBar`, `router`): [`ResetPasswordFormSubmitMethod`](ResetPasswordFormSubmitMethod.md)

Defined in: [reset-password/reset-password.form.ts:41](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/material/authentication/src/lib/reset-password/reset-password.form.ts#L41)

#### Parameters

##### route

`ActivatedRoute`

##### setNewPasswordWithResetTokenMethod

[`SetNewPasswordWithResetTokenMethod`](SetNewPasswordWithResetTokenMethod.md)

##### snackBar

`MatSnackBar`

##### router

`Router`

#### Returns

[`ResetPasswordFormSubmitMethod`](ResetPasswordFormSubmitMethod.md)

## Methods

### call()

> **call**(`value`): `boolean` \| `Promise`\<`boolean`\>

Defined in: [reset-password/reset-password.form.ts:52](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/material/authentication/src/lib/reset-password/reset-password.form.ts#L52)

#### Parameters

##### value

###### password

`string`

#### Returns

`boolean` \| `Promise`\<`boolean`\>

#### Implementation of

`FormSubmitMethod.call`
